from flask_wtf import FlaskForm
from wtforms import StringField, PasswordField, BooleanField
from wtforms.validators import InputRequired, Email, Length

class StartQuiz(FlaskForm):
    given_name = StringField('Given Name', validators=[InputRequired(), Length(max=15)])
    surname = StringField('Surname', validators=[InputRequired(), Length(max=15)])
    email = StringField('Email Address', validators=[InputRequired(), Email(message='You must enter a valid email address.'), Length(max=50)])
    club = StringField('Affiliated Club', validators=[InputRequired(), Length(max=50)])